apiVersion: apps/v1
kind: Deployment
metadata:
  name: healthcare-management-system-20260514-063824
  namespace: uat
spec:
  replicas: 1
  selector:
    matchLabels:
      app: healthcare-management-system-20260514-063824
  template:
    metadata:
      labels:
        app: healthcare-management-system-20260514-063824
    spec:
      containers:
        - name: healthcare-management-system-20260514-063824
          image: 917593900241.dkr.ecr.us-west-2.amazonaws.com/healthcare_management_system_20260514_063824:uat-latest
          imagePullPolicy: Always
          ports:
            - containerPort: 8000
          envFrom:
            - secretRef:
                name: healthcare-management-system-20260514-063824-secrets
                optional: true
          resources:
            requests:
              cpu: 100m
              memory: 256Mi
            limits:
              cpu: 500m
              memory: 512Mi
